#include "stdafx.h"
#include "ErrnoException.h"

ErrnoException::ErrnoException(const char* message, int error /*= errno*/)
    : std::runtime_error(message)
    , m_error(error)
{
}

int ErrnoException::GetError() const
{
    return m_error;
}

std::string ErrnoException::GetDescription() const
{
    return strerror(m_error);
}
